{% extends 'base.html' %}

{% load static %}
{% block content %}

<div class="main-story10 d-flex flex-column justify-content-center" >
    <div class="row">
        <div class="left-side d-flex flex-column justify-content-start col-3">

                <!-- Sidebar Menu -->
                <div class="ml-5 mt-5 mb-3">
                    {% include 'navbar.html' %}
                </div>

                {% if user.is_authenticated == False %}
                
                <!-- Header Text -->
                <div class="header-about ml-5 mt-3">
                    <h1>Hiya! </h1>
                    <br>
                    <h2> Login to see some awesome music! </h2>
                </div>

                {% else %}

                <!-- Header Text -->
                <div class="header-about ml-5 mt-3">
                    <h1>Hello, <br> there. </h1>
                    <br>
                    <h2> Yay! You did it. </h2>
                </div>

                {% endif %}

        
        </div>

        <div class="right-page col">
            {% if user.is_authenticated == False %}
            <div class="login content mx-5 my-5">
                {% if messages %}
                    {% for message in messages %}
                        <p>{{message}}</p>
                    {% endfor %}
                {% endif %}
                <div class="title">
                    <h3>Sign in</h3>
                    <br>
                </div>
                <div class="login-form">
                    <form method="POST">
                        {% csrf_token %} 
                        {{ form }}
                        <div>
                            <button type="submit" name="btn-login" id="btn-logIn" class="btn btn-dark mt-4">LOGIN</button>
                        </div>
                    </form>
                </div>

                <div class="info mt-5">
                    <p>
                        Don't have an account? <a class="sign-up-in-link" href="{% url 'signup' %}"><strong>Sign up.</strong></a>
                    </p>
                </div>
            </div>

            {% else %}
                <div class="success mt-5 ml-5">
                    <div class="btn-logout">
                        <form action="{% url 'logout' %}">
                            <input type="submit" id="btn-logOut" class="btn btn-dark" value="Log out">
                        </form>
                    </div>

                    <div class="greeting mt-5">
                        <h3>Welcome, </h3>
                        <h1 style="font-weight: 800px;"><span class="highlight">{{user.username}}.</span></h1>
                        <p> Listen to my awesome playlist! <br>
                        <br>
                        <div class="row">
                            <div class="flex-container">
                                <div>
                                    <iframe src="https://open.spotify.com/embed/track/75OokMC3JzPnRNXcLTAKdr" width="300" height="380" frameborder="0" allowtransparency="true" allow="encrypted-media"></iframe>
                                </div>
    
                                <div>
                                    <iframe src="https://open.spotify.com/embed/track/0ZNU020wNYvgW84iljPkPP" width="300" height="380" frameborder="0" allowtransparency="true" allow="encrypted-media"></iframe>
                                </div> 
                            </div>
    
                            <div class="flex-container">
                                <div>
                                    <iframe src="https://open.spotify.com/embed/track/7Bar1kLTmsRmH6FCKKMEyU" width="300" height="380" frameborder="0" allowtransparency="true" allow="encrypted-media"></iframe>
                                </div>
    
                                <div>
                                    <iframe src="https://open.spotify.com/embed/track/5fQBa4wkmq28xpSLOQ202K" width="300" height="380" frameborder="0" allowtransparency="true" allow="encrypted-media"></iframe>                                </div> 
                            </div>
    
                            <div class="flex-container">
                                <div>
                                    <iframe src="https://open.spotify.com/embed/track/3UoULw70kMsiVXxW0L3A33" width="300" height="380" frameborder="0" allowtransparency="true" allow="encrypted-media"></iframe>                                </div>
    
                                <div>
                                    <iframe src="https://open.spotify.com/embed/track/65YnIFKuwUCLIqMHAP8TAm" width="300" height="380" frameborder="0" allowtransparency="true" allow="encrypted-media"></iframe>                                </div> 
                            </div>
    
            
                </div>
            {% endif %}
        </div>
    </div>
</div>


{% endblock content %}
